## org.junit.validator
Class AnnotationsValidator

    java.lang.Object
      org.junit.validator.AnnotationsValidator

All Implemented Interfaces:
  TestClassValidator

    public final class AnnotationsValidator

extends Object
implements TestClassValidator

An `AnnotationsValidator` validates all annotations of a test class, including its annotated fields and methods.

Since:
  4.12

Constructor Summary
`AnnotationsValidator()`

Method Summary
`List<Exception>` `validateTestClass(TestClass testClass)` Validate all annotations of the specified test class that are be annotated with `ValidateWith`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsValidator

    public AnnotationsValidator()

Method Detail

### validateTestClass

    public List<Exception> validateTestClass(TestClass testClass)

  Validate all annotations of the specified test class that are be annotated with `ValidateWith`.

  Specified by:
    `validateTestClass` in interface `TestClassValidator`
  Parameters:
    `testClass` - the `TestClass` that is validated.
  Returns:
    the errors found by the validator.

Copyright © 2002–2020 JUnit. All rights reserved.